#ifndef GUITOOLS_H
#define GUITOOLS_H

#include "scene/containernode.h"

class Engine;
class ScenePicker;
class Mesh;

class GuiTools : public ContainerNode
{
    ScenePicker* m_pickerNode;
    Mesh* m_selectedMesh;
    bool m_pickerEnabled;
    bool m_materialEditorEnabled;
public:
    GuiTools();
    ~GuiTools();
    void update();
    void materialGui();
    void togglePicker();
    void toggleMaterialEditor();
    void toggleRenderingPipelineGui();
};

#endif // GUITOOLS_H
